//Independently turns high contrast and large font viewing options on and off. 

function toggleQSClasses(element, selector, classname) {


	//If this element doesn't have the class "enable" then add the class enabled to this element and add the class "classname" to to all elements selected by selector
	if (!jQuery(element).hasClass("enabled")) {
		jQuery(selector).addClass (classname);
		jQuery(element).addClass("enabled");
		if (jQuery(element).next("label").length > 0) {
			jQuery(element).next("label").html(jQuery(element).next("label").html().replace("Off", "On"));
		}
		var cookieValue = "on";
	} else {
		jQuery(selector).removeClass (classname);
		jQuery(element).removeClass("enabled");
		if (jQuery(element).next("label").length > 0) {
			jQuery(element).next("label").html(jQuery(element).next("label").html().replace("On", "Off"));
		}
		var cookieValue = "off";
	}
	jQuery.cookie(jQuery(element).attr("id"), cookieValue);
}

//"this" is an element within a click handler
//"contrast" and " fontGrow" classes are in template.css.
